Elly API
  1. Bank Accounts
Elly API
  • API Keys
    • Get current API key details
      GET
    • Get current API key usage statistics
      GET
    • List all API keys
      GET
    • Create a new API key
      POST
    • Revoke an API key
      DELETE
  • Transactions
    • List transactions
      GET
    • Create transaction
      POST
    • Get transaction details
      GET
    • Update transaction
      PATCH
    • Delete transaction
      DELETE
    • Bulk update transactions
      POST
  • Bank Accounts
    • List bank accounts
      GET
    • Create bank account
      POST
    • Get bank account details
      GET
    • Update bank account
      PATCH
    • Delete bank account
      DELETE
    • Get bank account transactions
      GET
  • Statements
    • List bank statements
      GET
    • Upload bank statement file
      POST
    • Get statement details
      GET
    • Get statement transactions
      GET
  • Categories
    • List categories
      GET
  • Reports
    • Cash flow report
      GET
    • Financial summary report
      GET
  • Companies
    • Get company details
  • Schemas
    • TransactionStatus
    • AccountingCategory
    • CashFlowCategory
    • AccountType
    • AccountStatus
    • StatementStatus
    • ApiScope
    • ApiKey
    • Transaction
    • TransactionListResponse
    • TransactionResponse
    • TransactionDetailResponse
    • CreateTransactionRequest
    • UpdateTransactionRequest
    • BulkUpdateRequest
    • BankAccount
    • BankAccountListResponse
    • CreateBankAccountRequest
    • UpdateBankAccountRequest
    • CreateStatementRequest
    • CreateStatementUpload
    • Pagination
    • Error
  1. Bank Accounts

Get bank account details

GET
/api-v1/bank-accounts/{accountId}
Bank Accounts

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Bank account details
Body

🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://gvazyknvkqdeuzmrnuwu.supabase.co/functions/v1/api-v1/bank-accounts/' \
--header 'X-API-Key: <api-key>'
Response Response Example
200 - Success
{
    "success": true,
    "data": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "account_name": "BBVA Business Checking",
        "account_number_last4": "1234",
        "account_number_masked": "****1234",
        "institution_name": "BBVA",
        "account_type": "checking",
        "currency_code": "MXN",
        "current_balance": 125000.5,
        "available_balance": 120000,
        "status": "active",
        "is_primary": true,
        "is_active": true,
        "last_synced_at": "2025-01-15T10:00:00Z",
        "created_at": "2024-06-01T00:00:00Z",
        "updated_at": "2025-01-15T10:00:00Z",
        "deleted_at": null,
        "transactions": {
            "count": 1523
        }
    }
}
Modified at 2025-12-30 00:32:01
Previous
Create bank account
Next
Update bank account
Built with